# API - GET on Leads and Opportunities

## 1. Customers/Leads

**Customer/Lead Information**

```http
GET /leads/{id}?apitoken=55127977-99ef-4d9b-982c-ae6d3255fb10&i=instance
```

**URL Parameters**

* `id` (required): Client ID
* `allFields` (optional): If 1, returns all lead fields
* `apitoken` (required): API authentication token
* i (required): your instance

**Headers**

```http
Content-Type: application/json
```

**GraphQL Query**

```graphql
{
  lead {
    firstname,
    lastname,
    email,
    phone,
    whatsapp,
    mobile,
    address,
    zipcode,
    city,
    state,
    country,
    timezone,
    id,
    firstname,
    lastname,
    fullname,
    company,
    notes {
      id,
      note,
      createdBy,
      createDate
    }
  },
  tags {
    id,
    tag,
    color
  }
}
```

## 2. Opportunities

**Opportunity Information**

```http
GET /crmopportunity/{id}?apitoken=55127977-99ef-4d9b-982c-ae6d3255fb10&i=instance
```

**URL Parameters**

* `id` (required): Opportunity ID
* `apitoken` (required): API authentication token
* i (required): your instance

**Headers**

```http
Content-Type: application/json
```
